<?php
/**
 * ヘルパークラス
 * @package     Site
 * @copyright   Copyright (C) 2011 MicroEngine Inc.
 */
class Site_Helper
{

    /**
     * モジュール読み込み
     * @param string $module_name
     */
    public function include_module($module_name)
    {
        // ファイル名のチェック
        if (!preg_match('/^[\w-.]+$/', $module_name)) {
            // a-zA-Z-9_-. 以外の文字があれば読み込まない
            return;
        }
        if (file_exists(DATA_ROOT . '/module/' . $module_name)) {
            include(DATA_ROOT . '/module/' . $module_name);
        }
    }
}